Bug 1268320 - VM provision dialog shows incorrect cpu count for RHEV CFME templates
VM provision dialog shows incorrect cpu count for RHEV CFME templates
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning (Show other bugs)
5.4.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.4.4
Assigned To: Lucy Fu
Nandini Chandra
: ZStream
Depends On: 1246994
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-02 09:51 EDT by Lucy Fu
Modified: 2015-12-16 08:19 EST (History)
10 users (show)

See Also:
Fixed In Version: 5.4.4.1
Doc Type: Bug Fix
Doc Text:
In the previous version of CloudForms Management Engine, VM provision dialog showed incorrect CPU count for RHEV CFME templates. This issue was caused due to incorrect variable referencing. This issue was fixed by editing the code for VM provision dialog to use the correct CPU related variables. Correct CPU count is displayed for RHEV CFME templates in the current version of CloudForms Management Engine.
Story Points: ---
Clone Of: 1246994
Environment:
Last Closed: 2015-12-16 08:19:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2015-10-05 16:58:11 EDT
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=39618b3103cc2957e8d9d977d99a9e5df0482da1

commit 39618b3103cc2957e8d9d977d99a9e5df0482da1
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Fri Oct 2 11:29:27 2015 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Fri Oct 2 11:30:17 2015 -0400

    Remove MiqProvisionVmwareWorkflow#get_cpu_values_hash.
    
    This method can be removed in favor of the get_cpu_values_hash defined in base MiqProvisionInfraWorkflow class.
    For more details, see comment here: db889be#commitcomment-13529747
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1268320

 vmdb/app/models/miq_provision_vmware_workflow.rb | 21 ---------------------
 1 file changed, 21 deletions(-)
Comment 3 CFME Bot 2015-10-05 16:58:16 EDT
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=d7152571868ae88d74a46174f750675b6eb129f9

commit d7152571868ae88d74a46174f750675b6eb129f9
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Fri Oct 2 11:43:11 2015 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Fri Oct 2 11:43:11 2015 -0400

    More cases where total CPUs is expected.
    
    logical_cpus is the variable for total CPUs.
    num_cpu is the number of socket.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1268320

 vmdb/app/controllers/application_controller/ci_processing.rb       | 2 +-
 vmdb/app/controllers/application_controller/miq_request_methods.rb | 4 ++--
 vmdb/app/models/miq_provision_virt_workflow.rb                     | 2 +-
 vmdb/app/models/mixins/active_vm_aggregation_mixin.rb              | 2 +-
 vmdb/app/models/mixins/miq_provision_quota_mixin.rb                | 2 +-
 vmdb/app/models/service/aggregation.rb                             | 4 ++--
 6 files changed, 8 insertions(+), 8 deletions(-)
Comment 4 CFME Bot 2015-10-05 16:58:20 EDT
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=1276868198ccacd5fbc430b526fd296d7ac7c6bf

commit 1276868198ccacd5fbc430b526fd296d7ac7c6bf
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Fri Oct 2 11:55:02 2015 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Fri Oct 2 11:55:02 2015 -0400

    More cases where total CPUs is expected in db/fixtures, product/reports and spec.
    
    logical_cpus is the variable for total CPUs.
    num_cpu is the number of socket.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1268320

 .../ManageIQ/Control/Email.class/__methods__/vm_alert.rb          | 2 +-
 .../Methods.class/__methods__/cluster_workload_management.rb      | 2 +-
 .../150_All Departments with Performance.yaml                     | 8 ++++----
 .../110_Provisioning Activity - by Approver.yaml                  | 4 ++--
 .../120_Provisioning Activity - by Datastore.yaml                 | 4 ++--
 .../130_Provisioning Activity - by Requester.yaml                 | 4 ++--
 .../140_Provisioning Activity - by VM.yaml                        | 4 ++--
 vmdb/spec/models/miq_group_spec.rb                                | 8 ++++----
 vmdb/spec/models/user_spec.rb                                     | 8 ++++----
 9 files changed, 22 insertions(+), 22 deletions(-)
Comment 5 CFME Bot 2015-10-05 16:58:25 EDT
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=202a263fa945ee2e692d4b51d6e36fe05d4e2170

commit 202a263fa945ee2e692d4b51d6e36fe05d4e2170
Merge: 7b7706c caeb7b2
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Mon Oct 5 16:50:31 2015 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Mon Oct 5 16:50:31 2015 -0400

    Merge branch '5.4.z-total_cpus_prov_1246994' into '5.4.z'
    
    Fix VM provision to use the correct CPU related variables.
    
    logical_cpus: total CPUs.
    num_cpu: number of socket.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1268320
    
    Original [PR #4035](https://github.com/ManageIQ/manageiq/pull/4035).
    
    See merge request !278

 .../application_controller/ci_processing.rb         | 14 ++++++++------
 .../application_controller/miq_request_methods.rb   |  4 ++--
 vmdb/app/models/miq_provision_infra_workflow.rb     |  4 ++--
 vmdb/app/models/miq_provision_virt_workflow.rb      |  2 +-
 vmdb/app/models/miq_provision_vmware_workflow.rb    | 21 ---------------------
 .../models/mixins/active_vm_aggregation_mixin.rb    |  2 +-
 vmdb/app/models/mixins/miq_provision_quota_mixin.rb |  2 +-
 vmdb/app/models/service/aggregation.rb              |  4 ++--
 vmdb/app/views/miq_request/_pre_prov.html.haml      |  2 +-
 vmdb/app/views/miq_request/_prov_vm_grid.html.haml  |  4 ++--
 .../Control/Email.class/__methods__/vm_alert.rb     |  2 +-
 .../__methods__/cluster_workload_management.rb      |  2 +-
 .../150_All Departments with Performance.yaml       |  8 ++++----
 .../110_Provisioning Activity - by Approver.yaml    |  4 ++--
 .../120_Provisioning Activity - by Datastore.yaml   |  4 ++--
 .../130_Provisioning Activity - by Requester.yaml   |  4 ++--
 .../140_Provisioning Activity - by VM.yaml          |  4 ++--
 vmdb/spec/models/miq_group_spec.rb                  |  8 ++++----
 vmdb/spec/models/user_spec.rb                       |  8 ++++----
 19 files changed, 42 insertions(+), 61 deletions(-)
Comment 7 Nandini Chandra 2015-12-09 12:06:12 EST
Verified in 5.4.4.2
Comment 9 errata-xmlrpc 2015-12-16 08:19:32 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2620.html

Note You need to log in before you can comment on or make changes to this bug.